var mymap = L.map('mapid').setView([35.7102, 139.8132], 15);
 
      L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
      	maxZoom: 18,
      	keyboard: false,
      	attribution: 'Map data &copy; <a href="http://openstreetmap.org">OpenStreetMap</a> contributors, '
      }).addTo(mymap);
 
      function setCurLocation(){
        if (navigator.geolocation === false){
          alert('現在地を取得できませんでした。');
          return;
        }
 
        function success(e) {
          var lat  = e.coords.latitude;
          var lng = e.coords.longitude;
          mymap.setView([lat, lng], 15);
          L.marker([lat,lng]).addTo(mymap).bindPopup('現在地').openPopup();
        }
 
        function error() {
          alert('現在地を取得できませんでした。');
        }
 
        navigator.geolocation.getCurrentPosition(success, error);
      }
 

var marker = L.marker([38.89345, 139.81945]).addTo(mymap);
marker.bindPopup("<p>音でるよ</p><audio src='pinpon.wav' controls width='500' height='375'>").openPopup();

function soundChange(e){
	if(soundon.checked){
		null;
	}else{
	e.preventDefault();
	} 
}


        // マウス移動イベント
        mymap.on('mousemove', function(e){
            lat.textContent = e.latlng.lat;
            lng.textContent = e.latlng.lng;
        });
